Subject: Re: bug#70988: (read FUNCTION) uses Latin-1 [PATCH]

From: Stefan Kangas <[email-masked]>
Date: Wed, 12 Feb 2025 06:52:58 -0800

Mattias Engdegård <[email-masked]> writes:

> After looking further into the Lisp reader/printer I found two more silent Latin-1 assumptions. In all three cases, I firmly believe the following to be true:
>
> * The behaviour is not intended but just code accidents.
> * They should hardly affect any user code at all.
> * They are nevertheless clear bugs which should be fixed.
>
> Further on this will have to wait until after Emacs 30 has been branched to avoid delaying that more important task.

FWIW, the proposed patch looks like a bug fix to me as well, so I think
we should install it.